Subject: [secdir] SecDir review of draft-ietf-teas-gmpls-resource-sharing-proc-08

From: "Xialiang (Frank)" <[email-masked]>
Date: Mon, 6 Feb 2017 02:41:09 +0000

Hello,
I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This document reviews how the LSP association is to be provided using Resource Reservation Protocol - Traffic Engineering (RSVP-TE) signaling in the context of GMPLS end-to-end recovery scheme when using restoration LSP where failed LSP is not torn down.  In addition, this document discusses resource sharing-based setup and teardown of LSPs as well as LSP reversion procedures.

Firstly, no new signaling extensions are defined by this document, and it is strictly informative in nature. So, no new security issues arise in this document. Secondly, the security considerations in [RFC3209] [RFC4872] [RFC4873] and [RFC6689] are included in the security consideration section of this draft, nothing more is missed. In consequence, I have no more security issues.

Summary: this document appears in reasonably good shape, and no more security issues. I think it is ready.

Thanks!

B.R.
Frank